package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.vo.IpsrsPemakaianMesinVO;

public interface IpsrsPemakaianMesinService {
	public Map<String, Object> getUserLogin();
	public Map<String, Object> getJenisMesin();
	public Map<String, Object> getDataMesin(Integer id);
	public Map<String, Object> savePemakaianMesin(IpsrsPemakaianMesinVO vo);
	public Map<String, Object> getAllPemakaianBoiler();
	public Map<String, Object> getAllPemakaianGenset();
	public Boolean deletePemakaianMesin(String noRec);
	Map<String, Object> pemakaianBoiler(Integer page, Integer limit, String sort, String dir, String tanggalAwal,String tanggalAhir);
	Map<String, Object> pemakaianGenset(Integer page, Integer limit, String sort, String dir, String tanggalAwal,String tanggalAhir);
}
